V1 / Brands
Update a brand
Update a brand by ID (same fields as create, all optional). Session-authenticated (dashboard login; owner/admin/editor). For API-key access use the MCP server (update_brand).
V1 / Brands
Update a brand
Update a brand by ID (same fields as create, all optional). Session-authenticated (dashboard login; owner/admin/editor). For API-key access use the MCP server (update_brand).
PUT
/api/v1/brands/:idQuery / Path parameters
| Name | In | Required | Description |
|---|---|---|---|
| id | path | Yes | Brand ID |
Responses
200
JSON { doc } — the updated brand
404
Brand not found in your space
Request
curl -X PUT "https://bannx.com/api/v1/brands/:id" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{}'Response
// JSON { doc } — the updated brand
{
"success": true,
"data": { ... }
}